<?php defined('ABSPATH') || exit;
/*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        single.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        8/15/21, 12:22 AM
 *
 */

/* check if JKD_Blog exists */
if (class_exists('JKD_Blog')):

    /* blog single render */
    JKD_Core::template('blog/single');

else:

    /* check have_posts */
    if (have_posts()) :

        /* blog loop */
        while (have_posts()) : the_post();

            /* get title */
            $title = get_the_title();

            /* get content */
            $content = get_the_content();

            /* get tags */
            $tags = get_the_tags(get_the_ID());

            /* get categories */
            $categories = get_the_category(get_the_ID());

            /* get date */
            $date = get_the_date();

            /* get post format */
            $post_format = get_post_format();

            ?>

            <!-- single-post-wrapper -->
            <div class="single-post-wrapper">

                <!-- inner-wrapper -->
                <div class="inner-wrapper container">

                    <!-- post-inner -->
                    <div class="post-inner">

                        <!-- post-header -->
                        <div class="post-header <?php if(!has_post_thumbnail()): ?>post-header-without-image<?php endif; ?>">

                            <!-- title-wrapper -->
                            <div class="title-wrapper">

                                <!-- post-title -->
                                <h1 class="post-title">

                                    <?php

                                    /* output the title */
                                    the_title();

                                    ?>

                                </h1>

                            </div>

                            <?php

                            /* check if categories || tags is empty */
                            if (!empty($categories) || !empty($tags)):

                                ?>

                                <!-- meta-list -->
                                <ul class="meta-list">

                                    <?php

                                    /* check if date is empty  */
                                    if (!empty($date)):

                                        ?>

                                        <!-- meta-item -->
                                        <li class="date-item meta-title">

                                            <i class="ri-calendar-line"></i>

                                            <?php

                                            /* echo date */
                                            echo esc_html($date);

                                            ?>

                                        </li>

                                    <?php endif; ?>

                                    <li class="meta-title post-format-item">

                                        <?php if ($post_format === 'aside'): ?>

                                            <i class="ri-edit-line"></i>

                                            <?php echo esc_html__('Aside', 'qreatix'); ?>

                                        <?php elseif ($post_format === 'audio'): ?>

                                            <i class="ri-music-2-line"></i>

                                            <?php echo esc_html__('Audio', 'qreatix'); ?>

                                        <?php elseif ($post_format === 'gallery'): ?>

                                            <i class="ri-gallery-line"></i>

                                            <?php echo esc_html__('Gallery', 'qreatix'); ?>

                                        <?php elseif ($post_format === 'image'): ?>

                                            <i class="ri-image-line"></i>

                                            <?php echo esc_html__('Image', 'qreatix'); ?>

                                        <?php elseif ($post_format === 'link'): ?>

                                            <i class="ri-link"></i>

                                            <?php echo esc_html__('Link', 'qreatix'); ?>

                                        <?php elseif ($post_format === 'quote'): ?>

                                            <i class="ri-double-quotes-l"></i>

                                            <?php echo esc_html__('Quote', 'qreatix'); ?>

                                        <?php elseif ($post_format === 'video'): ?>

                                            <i class="ri-play-mini-line"></i>

                                            <?php echo esc_html__('Video', 'qreatix'); ?>

                                        <?php else: ?>

                                            <i class="ri-file-text-line"></i>

                                            <?php echo esc_html__('Standard', 'qreatix'); ?>

                                        <?php endif; ?>

                                    </li>

                                    <?php if (is_sticky()): ?>

                                        <!-- meta-item -->
                                        <li class="sticky-item meta-title">

                                            <i class="ri-pushpin-2-line"></i>

                                            <?php

                                            /* echo sticky post message */
                                            echo esc_html__('Sticky Post', 'qreatix');

                                            ?>

                                        </li>

                                    <?php endif; ?>

                                    <?php

                                    /* check if categories is empty */
                                    if (!empty($categories)):

                                        ?>

                                        <!-- meta-title -->
                                        <li class="meta-title term-title">

                                            <i class="ri-price-tag-3-line"></i>

                                            <?php

                                            /* echo categories prefix title */
                                            echo esc_html__('Categories:', 'qreatix');

                                            ?>

                                        </li>

                                        <?php

                                        /* categories loop */
                                        foreach ($categories as $category):

                                            ?>

                                            <!-- category-item -->
                                            <li class="category-item">

                                                <!-- category link -->
                                                <a href="<?php echo esc_url(get_category_link($category->term_id)); ?>">

                                                    <?php echo esc_html($category->name); ?>

                                                </a>

                                            </li>

                                        <?php

                                        endforeach;

                                    endif;

                                    /* check if tags is empty */
                                    if (!empty($tags)):

                                        ?>

                                        <!-- meta-title -->
                                        <li class="meta-title term-title">

                                            <i class="ri-hashtag"></i>

                                            <?php

                                            /* echo tags prefix title */
                                            echo esc_html__('Tags:', 'qreatix');

                                            ?>

                                        </li>

                                        <?php

                                        /* tags loop */
                                        foreach ($tags as $tag):

                                            ?>

                                            <!-- tag-item -->
                                            <li class="tag-item">

                                                <!-- tag link -->
                                                <a href="<?php echo esc_url(get_term_link($tag->term_id)); ?>">

                                                    <?php

                                                    /* echo tag name */
                                                    echo esc_html($tag->name);

                                                    ?>

                                                </a>

                                            </li>

                                        <?php endforeach; ?>

                                    <?php endif; ?>

                                </ul>

                            <?php

                            endif;

                            /* check if post has thumbnail */
                            if (has_post_thumbnail()):

                                ?>

                                <!-- post-thumbnail -->
                                <div class="post-thumbnail image-wrapper">

                                    <?php

                                    /* output post thumbnail */
                                    the_post_thumbnail('large');

                                    ?>

                                </div>

                            <?php

                            endif;

                            ?>

                        </div>

                        <!-- post-body -->
                        <div class="post-body entry-content">

                            <?php

                            /* output the content */
                            the_content();

                            ?>

                        </div>

                    </div>

                    <?php

                    /* define multipage */
                    global $multipage;

                    /* check if pages > 0 */
                    if (0 !== $multipage): ?>

                        <!-- entry-navigation -->
                        <div class="entry-navigation">

                            <?php

                            /* display link pages */
                            wp_link_pages(array(
                                'link_before' => '<div class="link">',
                                'link_after' => '</div>',
                            ));

                            ?>

                        </div>

                    <?php

                    endif;

                    /* check if comments is open || comments number > 0 */
                    if (comments_open() || get_comments_number()) :

                        ?>

                        <!-- comments-wrapper -->
                        <div class="comments-wrapper">

                            <?php

                            /* comments template */
                            comments_template();

                            ?>

                        </div>

                    <?php

                    endif;

                    ?>

                </div>

            </div>

        <?php

        endwhile;

    endif;

endif;
