<?php defined('ABSPATH') || exit;
/*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        loop-start.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        8/15/21, 12:22 AM
 *
 */

/* check if JKD_Core exists */
if (class_exists('JKD_Core')):

    /* render loop-start template */
    JKD_Core::template('global/loop-start');

else:

    ?>

    <!-- body -->
<body <?php body_class(); ?>>

    <?php

    /* wp_body_open */
    wp_body_open();

    /* include navigation */
    get_template_part('template-parts/navigation/navigation');

    ?>

    <!-- main wrapper -->
<main class="main-wrapper <?php if(!class_exists('JKD_Core')): ?>default-wrapper<?php endif; ?>">

    <?php

    if (class_exists('WooCommerce')):

        /* additional woocommerce check */
        if (is_cart() || is_checkout() || is_account_page() || is_product() || is_shop() || is_product_taxonomy()):

            /* reset postdata */
            wp_reset_postdata();

            if (is_shop() || is_product_taxonomy()):

                $shop_header_trigger = get_theme_mod('shop-header', 1);

                $shop_header_type = get_theme_mod('shop-header-type', 'default');

            endif;

            $classes = array();

            if (is_shop() || is_product_taxonomy()):

                array_push($classes, 'shop-wrapper');

            endif;

            if (is_product()):

                array_push($classes, 'product-wrapper');

            endif;

            if (is_checkout()):

                array_push($classes, 'checkout-wrapper');

            endif;

            if (is_cart() && !WC()->cart->is_empty()):

                array_push($classes, 'cart-wrapper');

            endif;

            if (is_account_page()):

                array_push($classes, 'account-wrapper');

                if (is_user_logged_in()):

                    array_push($classes, 'log-in');

                endif;

            endif;

            $classes = implode(' ', $classes);

            ?>

            <div class="woocommerce-wrapper <?php echo esc_attr($classes); ?>">

            <?php

            $banner_toggle = get_theme_mod('shop-banner-toggle', 1);

            if ($banner_toggle && class_exists('JKD_Core')):

                JKD_Core::template('shop/banner');

            endif;

            ?>

            <div class="entire-content-wrapper">

            <div class="inner-wrapper container">

        <?php

        endif;

        if (function_exists('tinv_get_option_defaults')):

            if (is_wishlist() && get_the_permalink() === tinv_url_wishlist_default()):

                ?>

                <div class="woocommerce-wrapper wishlist-wrapper">

                    <div class="entire-content-wrapper">

                        <div class="inner-wrapper container">

            <?php

            endif;

        endif;

    endif;

endif;

?>
