<?php
/*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        cart-empty.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        8/15/21, 12:22 AM
 *
 */

/**
 * Empty cart page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cart-empty.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.5.0
 */

defined('ABSPATH') || exit;

?>

<div class="cart-is-empty-wrapper">

    <div class="entire-content-wrapper">

        <i class="ri-shopping-cart-2-line empty-bag-icon"></i>

        <span class="title">

        <?php echo esc_html__('Your cart is empty', 'qreatix'); ?>

    </span>

        <?php

        if (wc_get_page_id('shop') > 0) : ?>
            <p class="return-to-shop">
                <a class="jk-button default-border-style size-large animation-slide"
                   href="<?php echo esc_url(apply_filters('woocommerce_return_to_shop_redirect', wc_get_page_permalink('shop'))); ?>">
                <span>

                    <span>

                        <?php
                        /**
                         * Filter "Return To Shop" text.
                         *
                         * @param string $default_text Default text.
                         *
                         * @since 4.6.0
                         */
                        echo esc_html(apply_filters('woocommerce_return_to_shop_text', __('Keep Shopping', 'qreatix')));
                        ?>

                    </span>

                </span>
                </a>
            </p>
        <?php endif; ?>

    </div>

</div>
