<?php

/*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        payment-method-pw-gift-card.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        8/15/21, 12:22 AM
 *
 */

defined('ABSPATH') or exit;

global $pw_gift_cards_redeeming;
if ($pw_gift_cards_redeeming->cart_contains_gift_card() && 'yes' !== get_option('pwgc_allow_gift_card_purchasing', 'yes')) {
    return;
}

if ('review_order_before_submit' === get_option('pwgc_redeem_checkout_location', 'review_order_before_submit')) {
    ?>
    <div id="pwgc-redeem-gift-card-form">
        <form id="pwgc-redeem-form">
            <label for="pwgc-redeem-gift-card-number"><?php _e('Have a gift card?', 'qreatix'); ?></label>
            <div id="pwgc-redeem-error"></div>
            <div class="input-wrapper">
                <input type="text" id="pwgc-redeem-gift-card-number" name="card_number" autocomplete="off"
                       class="input-text jk-input"
                       placeholder="<?php esc_html_e('Gift card number', 'qreatix'); ?>">
                <input type="submit" id="pwgc-redeem-button"
                       class="button animation-fill"
                       data-wait-text="<?php esc_html_e('Please wait...', 'qreatix'); ?>"
                       value="<?php esc_html_e('Apply', 'qreatix'); ?>">
            </div>
        </form>
    </div>
    <script>
        jQuery(function () {
            jQuery('#pwgc-redeem-form').off('submit.pimwick').on('submit.pimwick', function (e) {
                pwgc_checkout_redeem_gift_card(jQuery('#pwgc-redeem-button'));
                e.preventDefault();
                return false;
            });
        });
    </script>
    <?php
}
