<?php defined('ABSPATH') || exit;
/*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        class-jkd-theme-dashboard.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        18/09/2021, 01:10
 *
 */

/*

# SERVER SIDE REGISTRATION HANDLER
# DONT TRY TO REMOVE IT
# OTHERWISE YOUR SITE WILL BE ANNIHILATED
# THANK YOU!

*/

/**
 * Class JKD_Theme_Dashboard
 */
class JKD_Theme_Dashboard
{

    /**
     * @var string
     */
    public $page_title = '';

    /**
     * @var string
     */
    public $menu_title = '';

    /**
     * @var string
     */
    public $capability = '';

    /**
     * @var string
     */
    public $menu_slug = '';

    /**
     * @var string
     */
    public $icon_url = '';

    /**
     * @var string
     */
    public $position = '';

    /**
     * @var string
     */
    public static $support_url = '';

    /**
     * @var string
     */
    public static $docs_url = '';

    /**
     * @var string
     */
    public static $changelog_url = '';

    /**
     * @var string
     */
    public static $feature_requests_url = '';

    /**
     * @return string
     */
    public function getPageTitle()
    {

        /* return page title */
        return $this->page_title;

    }

    /**
     * @param string $page_title
     */
    public function setPageTitle($page_title)
    {

        /* set page title */
        $this->page_title = $page_title;

    }

    /**
     * @return string
     */
    public function getMenuTitle()
    {

        /* return menu title */
        return $this->menu_title;

    }

    /**
     * @param string $menu_title
     */
    public function setMenuTitle($menu_title)
    {

        /* set menu title */
        $this->menu_title = $menu_title;

    }

    /**
     * @return string
     */
    public function getCapability()
    {

        /* return capability */
        return $this->capability;

    }

    /**
     * @param string $capability
     */
    public function setCapability($capability)
    {

        /* set capability */
        $this->capability = $capability;

    }

    /**
     * @return string
     */
    public function getMenuSlug()
    {

        /* get menu slug */
        return $this->menu_slug;

    }

    /**
     * @param string $menu_slug
     */
    public function setMenuSlug($menu_slug)
    {

        /* set menu slug */
        $this->menu_slug = $menu_slug;

    }

    /**
     * @return string
     */
    public function getIconUrl()
    {

        /* get icon url */
        return $this->icon_url;

    }

    /**
     * @param string $icon_url
     */
    public function setIconUrl($icon_url)
    {

        /* set icon url */
        $this->icon_url = $icon_url;

    }

    /**
     * @return string
     */
    public function getPosition()
    {

        /* get position */
        return $this->position;

    }

    /**
     * @param string $position
     */
    public function setPosition($position)
    {

        /* set position */
        $this->position = $position;

    }

    /**
     * @return string
     */
    public static function getSupportUrl()
    {

        /* return support url */
        return self::$support_url;

    }

    /**
     * @param string $support_url
     */
    public static function setSupportUrl($support_url)
    {

        /* set support url */
        self::$support_url = $support_url;

    }

    /**
     * @return string
     */
    public static function getDocsUrl()
    {

        /* return docs url */
        return self::$docs_url;

    }

    /**
     * @param string $docs_url
     */
    public static function setDocsUrl($docs_url)
    {

        /* set docs url */
        self::$docs_url = $docs_url;

    }

    /**
     * @return string
     */
    public static function getChangelogUrl()
    {

        /* return changelog url */
        return self::$changelog_url;

    }

    /**
     * @param string $changelog_url
     */
    public static function setChangelogUrl($changelog_url)
    {

        /* set changelog url */
        self::$changelog_url = $changelog_url;

    }

    /**
     * @return string
     */
    public static function getFeatureRequestsUrl()
    {

        /* return feature requests url */
        return self::$feature_requests_url;

    }

    /**
     * @param string $feature_requests_url
     */
    public static function setFeatureRequestsUrl($feature_requests_url)
    {

        /* set feature requests url */
        self::$feature_requests_url = $feature_requests_url;

    }

    /**
     * JKD_Theme_Dashboard constructor.
     *
     * @param array $args
     */
    public function __construct($args = array())
    {

        /* setup  repo slug */
        if (!empty($args['page_title'])):

            /* new value */
            $this->setPageTitle($args['page_title']);

        else:

            /* default value */
            $this->setPageTitle(esc_html__('License', 'qreatix'));

        endif;

        /* setup  repo slug */
        if (!empty($args['menu_title'])):

            /* new value */
            $this->setMenuTitle($args['menu_title']);

        else:

            /* default value */
            $this->setMenuTitle(esc_html__('Qreatix', 'qreatix'));

        endif;

        /* setup  repo slug */
        if (!empty($args['capability'])):

            /* new value */
            $this->setCapability($args['capability']);

        else:

            /* default value */
            $this->setCapability('edit_theme_options');

        endif;

        /* setup  repo slug */
        if (!empty($args['menu_slug'])):

            /* new value */
            $this->setMenuSlug($args['menu_slug']);

        else:

            /* default value */
            $this->setMenuSlug('theme-dashboard');

        endif;

        /* setup  repo slug */
        if (!empty($args['icon_url'])):

            /* new value */
            $this->setIconUrl($args['icon_url']);

        else:

            /* default value */
            $this->setIconUrl(get_template_directory_uri() . '/assets/img/envato.png');

        endif;

        /* setup  repo slug */
        if (!empty($args['position'])):

            /* new value */
            $this->setPosition($args['position']);

        else:

            /* default value */
            $this->setPosition(49);

        endif;

        /* setup support url */
        if (!empty($args['support_url'])):

            /* new value */
            $this->setSupportUrl($args['support_url']);

        endif;

        /* setup docs url */
        if (!empty($args['docs_url'])):

            /* new value */
            $this->setDocsUrl($args['docs_url']);


        endif;

        /* setup changelog url */
        if (!empty($args['changelog_url'])):

            /* new value */
            $this->setChangelogUrl($args['changelog_url']);

        endif;

        /* setup feature requests url */
        if (!empty($args['feature_requests_url'])):

            /* new value */
            $this->setFeatureRequestsUrl($args['feature_requests_url']);

        endif;

        /* theme info init */
        $this->init();

    }

    /**
     * init
     */
    public function init()
    {

        /* after switch redirect handler */
        add_action('after_switch_theme', [$this, 'after_switch_theme']);

        /* add admin menu page for theme info */
        add_action('admin_menu', [$this, 'add_admin_menu_page'], 0);

        /* ajax activation handler */
        add_action('wp_ajax_nopriv_jkd_activation_handler', [$this, 'activation_handler']);
        add_action('wp_ajax_jkd_activation_handler', [$this, 'activation_handler']);

        /* ajax deactivation handler */
        add_action('wp_ajax_nopriv_jkd_deactivation_handler', [$this, 'deactivation_handler']);
        add_action('wp_ajax_jkd_deactivation_handler', [$this, 'deactivation_handler']);

        if (!get_option('jkdevstudioactivation') || get_transient('last_activation_check') !== 'checked'):

            $this->check_domain_for_activation();

            set_transient('last_activation_check', 'checked', 24 * HOUR_IN_SECONDS);

        endif;

    }

    /**
     * ajax handler: activation theme
     */
    public function activation_handler()
    {

        /* get activation data from jk-studio API */
        $data = $_POST['data'];

        /* activate if data exists */
        if (!empty($data)):

            /* remove extra slashes */
            $data = str_replace('\\', '', $data);

            /* decode json data */
            $data = json_decode($data);

            /* render license info tab */
            $this->license_info_render($data);

            /* render license actions render */
            $this->license_actions_render();

            /* update activation data */
            update_option('jkdevstudioactivationdata', $data, false);

            /* set trigger of activation theme */
            if ($data->status === 'activated'):

                /* update activation theme option */
                update_option('jkdevstudioactivation', true, false);

            endif;

        endif;

        die();

    }

    /**
     * ajax handler: deactivation theme
     */
    public function deactivation_handler()
    {

        update_option('jkdevstudioactivation', false);

        update_option('jkdevstudioactivationdata', false);

        $this->registration_form_render();

        die();

    }

    /**
     * redirect handler after switch theme
     */
    public function after_switch_theme()
    {

        /* redirect to theme dashboard */
        wp_redirect(admin_url('/admin.php?page=theme-dashboard'));

    }

    /**
     * add_admin_menu_page
     */
    public function add_admin_menu_page()
    {

        add_menu_page(
        /* page title */
            $this->page_title,
            /* menu title */
            $this->menu_title,
            /* capability */
            $this->capability,
            /* menu slug */
            $this->menu_slug,
            /* handler method */
            [$this, 'shell'],
            /* menu icon */
            $this->icon_url,
            /* menu position */
            $this->position
        );

    }

    /**
     * @param $status
     * @param $text
     */
    public function status_label($status = 'not-activated', $text = 'Not Activated')
    {


        ?>

        <!-- status-label -->
        <p class="status-label <?php echo esc_attr($status); ?>">

            <?php

            /* output status */
            echo esc_html($text);

            ?>

        </p>

        <?php

    }

    /**
     * admin shell
     */
    public function shell()
    {

        /* registered trigger */
        $registered = get_option('jkdevstudioactivation', false);

        ?>

        <!-- admin-wrapper -->
        <main class="jkd-admin-wrapper <?php if ($registered): ?>registered<?php endif; ?>">

            <!-- loader -->
            <div class="loader">

                <!-- loader icon -->
                <i class="ri-loader-2-line"></i>

            </div>

            <!-- admin-inner-wrapper -->
            <div class="admin-inner-wrapper">

                <!-- admin-header -->
                <div class="admin-header">

                    <!-- logotype-wrapper -->
                    <div class="logotype-wrapper">

                        <!-- logotype -->
                        <img src="<?php echo esc_url(get_template_directory_uri() . '/assets/img/theme-logo.svg'); ?>"
                             alt="<?php echo esc_attr(JKD_Theme::$name); ?>"
                             class="logotype">

                    </div>

                    <!-- title-wrapper -->
                    <div class="title-wrapper">

                        <!-- page-title -->
                        <h5 class="page-title">

                            <?php if (!empty(JKD_Theme::$version)): ?>

                                <!-- item version -->
                                <span class="version">

                                <?php echo esc_html__('Version:', 'qreatix'); ?>

                                <?php echo esc_html(JKD_Theme::$version); ?>

                            </span>

                            <?php endif; ?>

                            <?php if (!empty($this->page_title)): ?>

                                <!-- title -->
                                <span class="title">

                                <?php echo esc_html($this->page_title); ?>

                            </span>

                            <?php endif; ?>

                        </h5>

                    </div>

                    <!-- actions list -->
                    <div class="actions-list">

                        <!-- upwork link -->
                        <a href="<?php echo esc_url('https://www.upwork.com/fl/alexposlushnyak'); ?>"
                           class="action-item">

                            <i class="ri-message-3-line"></i>

                            <?php echo esc_html__('Upwork', 'qreatix'); ?>

                        </a>

                        <!-- changelog link -->
                        <a href="<?php echo esc_url(self::getChangelogUrl()); ?>" class="action-item">

                            <i class="ri-file-list-3-line"></i>

                            <?php echo esc_html__('Changelog', 'qreatix'); ?>

                        </a>

                        <!-- support link -->
                        <a href="<?php echo esc_url(self::getSupportUrl()); ?>" class="action-item">

                            <i class="ri-lifebuoy-line"></i>

                            <?php echo esc_html__('Support', 'qreatix'); ?>

                        </a>

                        <!-- docs link -->
                        <a href="<?php echo esc_url(self::getDocsUrl()); ?>" class="action-item">

                            <i class="ri-question-line"></i>

                            <?php echo esc_html__('Docs', 'qreatix'); ?>

                        </a>

                        <!-- feature requests link -->
                        <a href="<?php echo esc_url(self::getFeatureRequestsUrl()); ?>" class="action-item">

                            <i class="ri-chat-heart-line"></i>

                            <?php echo esc_html__('Feature request', 'qreatix'); ?>

                        </a>

                    </div>

                </div>

                <!-- admin-body -->
                <div class="admin-body">

                    <!-- body-inner -->
                    <div class="body-inner">

                        <!-- tabs header -->
                        <ul class="tabs-header">

                            <!-- feature item -->
                            <li class="feature-item active">

                                <?php echo esc_html__('License', 'qreatix'); ?>

                            </li>

                        </ul>

                        <!-- current content -->
                        <div class="current-content">

                            <?php

                            /* check activation */
                            if (get_option('jkdevstudioactivation') && get_option('jkdevstudioactivationdata')):

                                /* render license info */
                                $this->license_info_render();

                                /* render license actions render */
                                $this->license_actions_render();

                            else:

                                /* render license tab */
                                $this->registration_form_render();

                            endif;

                            ?>

                        </div>

                    </div>

                </div>

            </div>

        </main>

        <?php

    }

    /**
     * @param array $data
     */
    public function license_info_render($data = array())
    {

        /* check $data arg */
        if (empty($data)):

            /* get license data */
            $data = get_option('jkdevstudioactivationdata');

        endif;

        if (!empty($data)):

            ?>

            <!-- license info -->
            <div class="license-info"
                 <?php if (!empty($data->code)): ?>data-purchase-code="<?php echo esc_attr($data->code); ?><?php endif; ?>">

                <!-- info list -->
                <ul class="info-list">

                    <?php if (!empty($data->status)): ?>

                        <!-- info item -->
                        <li class="info-item">

                            <!-- info -->
                            <div class="info">

                                <?php echo esc_html__('Status:', 'qreatix'); ?>

                            </div>

                            <!-- value -->
                            <div class="value">

                                <?php

                                /* if status === activated */
                                if ($data->status === 'activated'):

                                    /* render activated label */
                                    self::status_label('activated', esc_html__('Activated', 'qreatix'));

                                /* if status === not activated */
                                elseif ($data->status === 'not-activated'):

                                    /* render not-activated label */
                                    self::status_label('not-activated', esc_html__('Not Activated', 'qreatix'));

                                /* if status === expired */
                                elseif ($data->status === 'expired'):

                                    /* render expired label */
                                    self::status_label('expired', esc_html__('Expired', 'qreatix'));

                                endif;

                                ?>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($data->id)): ?>

                        <!-- info-item -->
                        <li class="info-item">

                            <!-- info -->
                            <div class="info">

                                <?php echo esc_html__('Item ID:', 'qreatix'); ?>

                            </div>

                            <!-- value -->
                            <div class="value">

                                <?php echo esc_html($data->id); ?>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($data->license)): ?>

                        <!-- info-item -->
                        <li class="info-item">

                            <!-- info -->
                            <div class="info">

                                <?php echo esc_html__('Type:', 'qreatix'); ?>

                            </div>

                            <!-- value -->
                            <div class="value">

                                <?php echo esc_html($data->license); ?>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($data->code)): ?>

                        <!-- info-item -->
                        <li class="info-item">

                            <!-- info -->
                            <div class="info">

                                <?php echo esc_html__('License Key:', 'qreatix'); ?>

                            </div>

                            <!-- value -->
                            <div class="value">

                                <?php echo esc_html($data->code); ?>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($data->sold_at)): ?>

                        <!-- info-item -->
                        <li class="info-item">

                            <!-- info -->
                            <div class="info">

                                <?php echo esc_html__('Sold At:', 'qreatix'); ?>

                            </div>

                            <!-- value -->
                            <div class="value">

                                <?php echo esc_html($data->sold_at); ?>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($data->supported_until)): ?>

                        <!-- info-item -->
                        <li class="info-item">

                            <!-- info -->
                            <div class="info">

                                <?php echo esc_html__('Registration Expire Date:', 'qreatix'); ?>

                            </div>

                            <!-- value -->
                            <div class="value">

                                <?php echo esc_html($data->supported_until); ?>

                            </div>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($data->domain)): ?>

                        <!-- info-item -->
                        <li class="info-item">

                            <!-- info -->
                            <div class="info">

                                <?php echo esc_html__('Registered Domain:', 'qreatix'); ?>

                            </div>

                            <!-- domain link -->
                            <a href=" <?php echo esc_url($data->domain); ?>">

                                <?php echo esc_html($data->domain); ?>

                            </a>

                        </li>

                    <?php endif; ?>

                    <?php if (!empty($data->activations_left)): ?>

                        <!-- info item -->
                        <li class="info-item">

                            <!-- info -->
                            <div class="info">

                                <?php echo esc_html__('Activations Left:', 'qreatix'); ?>

                            </div>

                            <!-- value -->
                            <div class="value">

                                <?php echo esc_html($data->activations_left) . esc_html__(' Activations', 'qreatix'); ?>

                            </div>

                        </li>

                    <?php endif; ?>

                </ul>

            </div>

        <?php

        endif;

    }

    /**
     *
     */
    public function license_actions_render()
    {

        ?>

        <!-- actions list -->
        <div class="actions-list">

            <!-- left-side -->
            <div class="left-side">

            </div>

            <!-- right-side -->
            <div class="right-side">

                <!-- remove license button -->
                <button class="jkd-button jkd-button-danger jkd-button-medium deactivation-button">

                    <!-- close icon -->
                    <i class="ri-close-circle-line left-icon"></i>

                    <?php echo esc_html__('Deactivate Domain', 'qreatix'); ?>

                </button>

            </div>

        </div>

        <?php

    }

    /**
     * registration form
     */
    public function registration_form_render()
    {

        ?>

        <!-- registration form -->
        <div class="registration-form">

            <!-- registration alert -->
            <div class="reg-alert">

                <i class="ri-error-warning-line"></i>

                <?php echo esc_html__('To use the theme, you need to activate it via JK-Studio API.', 'qreatix'); ?>

            </div>

            <!-- steps wrapper -->
            <div class="steps-wrapper">

                <!-- step wrapper -->
                <div class="step-wrapper">

                    <!-- step counter -->
                    <p class="step-counter">

                        <?php echo esc_html('01'); ?>

                    </p>

                    <!-- step title -->
                    <h5 class="step-title">

                        <?php echo esc_html__('Start Registration', 'qreatix'); ?>

                    </h5>

                    <!-- step description -->
                    <p class="step-desc">

                        <?php echo esc_html__('To start the registration process just click on the button below', 'qreatix'); ?>

                        <i class="ri-arrow-down-line"></i>

                    </p>

                    <!-- start registration -->
                    <div class="start-registration">

                        <!-- activation button -->
                        <button class="jkd-button jkd-button-envato jkd-button-large activation-button">

                            <!-- envato logotype -->
                            <img src="<?php echo esc_url(get_template_directory_uri() . '/assets/img/envato.svg'); ?>"
                                 alt="<?php echo esc_attr__('Envato Logo', 'qreatix'); ?>"
                                 class="left-icon">

                            <?php echo esc_html__('Activate License', 'qreatix'); ?>

                        </button>

                    </div>

                </div>

                <!-- step wrapper -->
                <div class="step-wrapper">

                    <!-- step counter -->
                    <p class="step-counter">

                        <?php echo esc_html('02'); ?>

                    </p>

                    <!-- step title -->
                    <h5 class="step-title">

                        <?php echo esc_html__('Authorization', 'qreatix'); ?>

                    </h5>

                    <!-- step description -->
                    <p class="step-desc">

                        <?php echo esc_html__('Login with Your Envato Account and connect it with our app', 'qreatix'); ?>

                    </p>

                </div>

                <!-- step wrapper -->
                <div class="step-wrapper">

                    <!-- step counter -->
                    <p class="step-counter">

                        <?php echo esc_html('03'); ?>

                    </p>

                    <!-- step title -->
                    <h5 class="step-title">

                        <?php echo esc_html__('Activation Process', 'qreatix'); ?>

                    </h5>

                    <!-- step description -->
                    <p class="step-desc">

                        <?php echo esc_html__('Make sure all the data is correct and click the Proceed Activation button', 'qreatix'); ?>

                    </p>

                </div>

                <!-- step wrapper -->
                <div class="step-wrapper">

                    <!-- step counter -->
                    <p class="step-counter">

                        <?php echo esc_html('04'); ?>

                    </p>

                    <!-- step title -->
                    <h5 class="step-title">

                        <?php echo esc_html__('Done!', 'qreatix'); ?>

                    </h5>

                    <!-- step description -->
                    <p class="step-desc">

                        <?php echo esc_html__('Now you can start importing demo and installing plugins.', 'qreatix'); ?>

                    </p>

                </div>

            </div>

        </div>

        <?php

    }

    public function check_domain_for_activation()
    {

        $url = "https://jk-studio-dev.com/api/check/domain_for_activation/?domain=" . esc_url(home_url()) . "&id=" . JKD_Theme::$id;

        $resp = wp_remote_post($url, array(
                'method' => 'POST',
                'timeout' => 45,
                'redirection' => 5,
                'httpversion' => '1.0',
                'blocking' => true,
                'headers' => array(
                    "Content-Type: application/json",
                    "Content-Length: 0",
                ),
            )
        );

        $resp = wp_remote_retrieve_body($resp);

        $resp = json_decode($resp);

        if (!empty($resp)):

            update_option('jkdevstudioactivation', $resp->activation);

            if ($resp->activation):

                update_option('jkdevstudioactivationdata', $resp->data);

            endif;

        endif;

    }

}
