<?php defined('ABSPATH') || exit;
/*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        comments.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        18/09/2021, 01:10
 *
 */

/* check if password required */
if (post_password_required()) :

    /* exit */
    return;

endif;

/* get ajax comments toggle option */
$ajax_comments = get_theme_mod('comments-ajax-submission-toggle', esc_attr('1'));

if (!empty($_GET['ajax_comments']) && $_GET['ajax_comments'] === 'on'):

    $ajax_comments = true;

endif;

if (!empty($_GET['ajax_comments']) && $_GET['ajax_comments'] === 'off'):

    $ajax_comments = false;

endif;

/* comments pagination */
$comments_pagination = get_theme_mod('comments-pagination-type', esc_attr('default'));

/* get cpage value */
$cpage = get_query_var('cpage') ? get_query_var('cpage') : 1;

if (!empty($_GET['comments_pagination'])):

    $comments_pagination = $_GET['comments_pagination'];

endif;

wp_enqueue_script(JKD_Core::$prefix . 'comments');

wp_enqueue_style(JKD_Core::$prefix . 'comments');

?>

<!-- comments area -->
<div id="comments"
     class="comments-area <?php if ($ajax_comments): ?>ajax-comments<?php endif; ?> <?php echo esc_attr(get_option('show_avatars') ? 'show-avatars' : ''); ?>">

    <?php

    /* check if have_comments === true */
    if (have_comments()) :

        ?>

        <!-- comment list -->
        <ol class="comment-list">

            <?php

            /* list comments */
            wp_list_comments(
                array(
                    'avatar_size' => 60,
                    'style' => 'ol',
                    'short_ping' => true,
                )
            );

            ?>

        </ol>

        <?php

        if ($cpage > 1):

            if ($comments_pagination === 'default'):

                ?>

                <div class="jkd-pagination">

                    <?php

                    /* comments pagination */
                    the_comments_pagination(
                        array(
                            'before_page_number' => '',
                            'end_size' => 1,
                            'mid_size' => 1,
                            'prev_text' => '<div class="pagination-arrow prev-arrow">' . '<i class="ri-arrow-left-line"></i>' . esc_html__('Previous', 'qreatix') . '</div>',
                            'next_text' => '<div class="pagination-arrow next-arrow">' . esc_html__('Next', 'qreatix') . '<i class="ri-arrow-right-line"></i>' . '</div>',
                        )
                    );

                    ?>

                </div>

            <?php

            elseif ($comments_pagination === 'load-more'):

                ?>

                <div class="jkd-pagination load-more-wrapper">

                    <button class="comments-load-more jkd-button default-border-style animation-fill size-extra-small">

                        <?php echo esc_html__('Load More...', 'qreatix'); ?>

                    </button>

                </div>

            <?php

            endif;

        endif;

        /* check if comments open */
        if (!comments_open()) : ?>

            <!-- no comments -->
            <p class="no-comments">

                <?php echo esc_html__('Comments are closed.', 'qreatix'); ?>

            </p>

        <?php

        endif;

    endif;

    /* comments form */
    comment_form(
        array(
            'logged_in_as' => null,
            'title_reply' => esc_html__('Leave a comment', 'qreatix'),
            'title_reply_before' => '<h2 id="reply-title" class="comment-reply-title">',
            'title_reply_after' => '</h2>',
        )
    );

    ?>

</div>
