<?php

/*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        cart-pw-gift-card.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        18/09/2021, 01:10
 *
 */

defined( 'ABSPATH' ) or exit;

?>
<style>
    .pwgc-cart-subtitle {
        line-height: 1.4;
        font-size: 80%;
        font-weight: 300;
    }
</style>
<?php

$session_data = (array) WC()->session->get( PWGC_SESSION_KEY );
if ( isset( $session_data['gift_cards'] ) ) {

    foreach ( $session_data['gift_cards'] as $card_number => $discount_amount ) {
        $pw_gift_card = new PW_Gift_Card( $card_number );
        if ( $pw_gift_card->get_id() ) {
            $balance = apply_filters( 'pwgc_to_current_currency', $pw_gift_card->get_balance() ) - $discount_amount;
            ?>
            <tr class="pwgc-total">
                <th>
                    <?php _e( 'Gift card', 'qreatix' ); ?>
                    <div class="pwgc-cart-subtitle">
                        <?php echo JKD_Theme::check_for_empty($pw_gift_card->get_number()); ?><br />
                        <?php echo sprintf( __( 'Remaining balance is %s', 'qreatix' ), wc_price( $balance ) ); ?>
                        <?php
                            if ( $pw_gift_card->has_expired() ) {
                                ?>
                                <br />
                                <span>
                                    <?php _e( 'Expired', 'qreatix' ); ?>
                                </span>
                                <?php
                            }
                        ?>
                    </div>
                </th>
                <td data-title="<?php esc_attr_e( 'Gift Card Total', 'qreatix' ); ?>">
                    <?php echo wc_price( $discount_amount * -1 ); ?>
                    <a href="#" class="pwgc-remove-card" data-card-number="<?php esc_attr( $card_number ); ?>"><?php _e( '[Remove]', 'qreatix' ); ?></a>
                </td>
            </tr>
            <?php
        }
    }
}
