<?php
/*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        ti-wishlist-null.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        18/09/2021, 01:10
 *
 */

/**
 * The Template for displaying not found wishlist.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/ti-wishlist-null.php.
 *
 * @version             1.21.11
 * @package           TInvWishlist\Template
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?>
<p class="cart-empty">
	<?php esc_html_e( 'Wishlist is not found!', 'qreatix' ); ?>
</p>

<?php do_action( 'tinvwl_wishlist_is_null' ); ?>

<p class="return-to-shop">
	<a class="button wc-backward jkd-button default-style"
	   href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>"><?php echo esc_html( apply_filters( 'woocommerce_return_to_shop_text', __( 'Return To Shop', 'qreatix' ) ) ); ?></a>
</p>
